compact2

# Package javax.xml.parsers

Provides classes allowing the processing of XML documents.

See: Description

Class Summary
DocumentBuilder: Defines the API to obtain DOM Document instances from an XML document.
DocumentBuilderFactory: Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents.
SAXParser: Defines the API that wraps an `XMLReader` implementation class.
SAXParserFactory: Defines a factory API that enables applications to configure and obtain a SAX based parser to parse XML documents.

Exception Summary
ParserConfigurationException: Indicates a serious configuration error.

Error Summary
FactoryConfigurationError: Thrown when a problem with configuration with the Parser Factories exists.

## Package javax.xml.parsers Description

Provides classes allowing the processing of XML documents. Two types of plugable parsers are supported:

- SAX (Simple API for XML)
- DOM (Document Object Model)